Bug 90522 - Remove Advanced Options and replace them with custom panels
Remove Advanced Options and replace them with custom panels
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Options&Settings
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@platform
: PLAN, UI, UMBRELLA
Depends on: 138361 65959 95072 95073 95074 95076 95077 95093 95095 95096 95097 95098 95099 95103 95105 96001 96007 137955 140026
Blocks: 106376 130591
  Show dependency treegraph
 
Reported: 2006-12-04 15:28 UTC by Martin Balin
Modified: 2008-12-22 10:38 UTC (History)
8 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
list of instances registered in the old OD (10.57 KB, text/plain)
2006-12-04 18:08 UTC, rmatous
Details
I processed previous attachment by script to extract code name base of individual modules that are involved. (695 bytes, text/plain)
2006-12-06 08:47 UTC, rmatous
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Balin 2006-12-04 15:28:17 UTC
We have Advanced options in Tools | Options dialog since 5.0. At this time it 
was treated as a workaround for 1st implementation of new, nice options. 
We need to put replacements of Advanced Options by custom panels into 6.0 
planning.
NetBeans is very special by its way of allowing to modify options in two 
totally different UIs.
Comment 1 rmatous 2006-12-04 15:55:06 UTC
This will be probably umbrella issue because every module must migrate its own
node in old fashion options dialog into a panel in our first class options
dialog. Every module should consult its UI decisions via UI spec. to make
decisions like whether there will be added new category or just panel into
misc.category. Also maybe some properties might be obsolete and so on. 
Comment 2 rmatous 2006-12-04 18:08:26 UTC
Created attachment 36459 [details]
list of instances registered in the old OD
Comment 3 rmatous 2006-12-04 18:10:00 UTC
I attached list of instances registered in the old OD to have idea which modules
will be involved.
Comment 4 rmatous 2006-12-05 10:59:50 UTC
From UI perspective there should be made also decision how to customize Menu -
whether should be part of OD or standalone customizer similar like Toolbar
customizer. 
Comment 5 rmatous 2006-12-06 08:47:58 UTC
Created attachment 36507 [details]
I processed previous attachment by script to extract code name base of individual modules that are involved.
Comment 6 Antonin Nebuzelsky 2007-03-29 15:01:23 UTC
Reassigning to xDesign.
Comment 7 Antonin Nebuzelsky 2007-05-17 02:36:55 UTC
Setting an optimistic TM.
Comment 8 tprochazka 2007-06-21 08:25:39 UTC
Netbeans is also only IDE which doesn't support search in options and has least customisation options.

But I think, that use two view to options (tree view and smart) it's good idea, becaue some people prefer many options 
and other like smart simple options.
Comment 9 Jiri Prox 2007-09-17 20:11:37 UTC
Obsolete milestone, please reevaluate
Comment 10 Antonin Nebuzelsky 2008-04-15 17:18:53 UTC
Reassigning to new module owner jskrivanek.
Comment 11 Antonin Nebuzelsky 2008-06-26 12:26:49 UTC
All remaining Advanced Options in the standard build will be removed in 6.5 M2.

This issue will be closed in M2 as well.

"Advanced Options" button in the new Options dialog will be made sensitive to the fact that some old modules (e.g.
available on Update Center) may still have advanced options registered. In such case the button will be available.
Otherwise it will not be visible (or grayed out?).
Comment 12 jrojcek 2008-06-26 12:41:40 UTC
If there's no options in the advanced dialog, then remove the button (don't disable it). If some module adds an option into the advanced dialog, then add the 
button back.
Comment 13 Jiri Skrivanek 2008-07-04 09:47:06 UTC
Advanced Options button is now hidden when no advanced options are registered (issue 91106).
Comment 14 Antonin Nebuzelsky 2008-07-29 15:11:40 UTC
No items remaining in standard full IDE build. Closing as fixed.
Comment 15 Petr Jiricka 2008-07-29 16:42:37 UTC
Let's celebrate!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo